Get Custom Data Facets
curl --request GET \
--url https://api.usesimple.ai/api/v1/data/facets/{table_name} \
--header 'Authorization: <api-key>'import requests
url = "https://api.usesimple.ai/api/v1/data/facets/{table_name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.usesimple.ai/api/v1/data/facets/{table_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tableName": "<string>",
"tableLabel": "<string>",
"totalRecords": 123,
"facets": [
{
"columnName": "<string>",
"columnDisplayName": "<string>",
"columnType": "STRING",
"values": [
{
"value": "<string>",
"count": 123
}
]
}
]
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}{
"status": "error",
"success": false,
"error": "<string>",
"errors": [
"<string>"
]
}Custom Data
Get Facets for a Custom Data Table
Retrieve distinct facet values for the facetable columns in an indexed Simple AI custom data table to build filters.
GET
/
data
/
facets
/
{table_name}
Get Custom Data Facets
Apply returned facets when you query custom data with structured filters.
Facets are available for indexed tables and include distinct values for facetable columns.
Authorizations
Path Parameters
Custom data table name.
Pattern:
^[a-z0-9_]+$Last modified on September 3, 2026